Bug 212939 - RFE: Firstboot -- Multiuser creation -- Make it possible to define more than one user in firstboot
RFE: Firstboot -- Multiuser creation -- Make it possible to define more than ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gracik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 03:43 EST by Gian Paolo Mureddu
Modified: 2013-07-04 08:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: firstboot-1.111-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-18 08:01:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2006-10-30 03:43:17 EST
Rationale:

It would be a good idea to have the ability to create more than one user account
from the first boot druid. While it is true that in most cases there's going to
be only one user for the system, in the case of family systems this will make it
easier to have each member of the family an account. This could be as simple as
to simply click a check box if the user would like to create more than one
account, and then the "Next" button would change to a "New User" button, and
another "Next" button bellow it would appear, and to the right or at the bottom
have a small area where the users created would be displayed.
Comment 1 Chris Lumens 2007-02-12 15:24:56 EST
Is there any particular reason why it'd be better to do this in firstboot
instead of running system-config-users and doing it by hand?
Comment 2 Gian Paolo Mureddu 2007-02-12 15:33:06 EST
Well, for those cases where a multi-user environment is to be expected (like a
family computer, for instance) it would be nice to be able to set all the users
needed from the get go. Sure, you can always run system-config-users (or useradd
for that matter) afterwards, but I still believe it would be a good idea to let
users define more than one user from the get go.
Comment 3 Wade Nelson 2007-10-14 11:54:05 EDT
I like this idea as well... and if there is going to be work done on the user 
creation dialog during firstboot I'd like to request a more robust user 
creation tool... Namely in my case I'd like either the option to skip creating 
a user or add the option to specify UID, GID, and group membership manually.  
With my nfs setup (and similar setups I've dealt with) users are given specific 
UIDs.  As it stands now I always end up immediately logging as root to either 
delete the user created during firstboot or else modifying the user and 
chowning tmp dirs with the new UID.
Comment 4 Jon Stanley 2008-04-23 16:30:16 EDT
Adding FutureFeature keyword to RFE's.
Comment 5 Martin Gracik 2010-07-21 08:27:53 EDT
Fixed in version firstboot-1.111-1
Now you can run system-config-users from firstboot, if you want to create more users.

Note You need to log in before you can comment on or make changes to this bug.